import _objectSpread from "@babel/runtime/helpers/objectSpread2";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
var _excluded = ["icon", "children", "variant", "active", "disabled", "fullWidth"];
import { ButtonBase, Typography } from '@material-ui/core';
import { ColorDynamic, Stack } from '@superdispatch/ui';
import { forwardRef } from 'react';
import styled from 'styled-components';
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
var ButtonRoot = /*#__PURE__*/styled(ButtonBase).withConfig({
  displayName: "ButtonArea__ButtonRoot",
  componentId: "SD__sc-1czum63-0"
})(["padding:12px 32px;border-width:1px;border-radius:4px;border-style:solid;border-color:", ";color:", ";background-color:", ";& svg{color:inherit;font-size:24px;}&[data-full-width='true']{width:100%;}&[data-disabled='true']{color:", ";border-color:", ";}&[data-variant='success']{&:hover{color:", ";box-shadow:0 0 0 2px ", ";border-color:", ";}&[data-active='true']{color:", ";border-color:", ";background-color:", ";}}&[data-variant='danger']{&:hover{color:", ";box-shadow:0 0 0 2px ", ";border-color:", ";}&[data-active='true']{color:", ";border-color:", ";background-color:", ";}}"], ColorDynamic.Silver500, ColorDynamic.Dark100, ColorDynamic.White, ColorDynamic.Silver500, ColorDynamic.Silver400, ColorDynamic.Green300, ColorDynamic.Green100, ColorDynamic.Green300, ColorDynamic.Green300, ColorDynamic.Green300, ColorDynamic.Green50, ColorDynamic.Red300, ColorDynamic.Red100, ColorDynamic.Red300, ColorDynamic.Red300, ColorDynamic.Red300, ColorDynamic.Red50);
export var ButtonArea = /*#__PURE__*/forwardRef((_ref, ref) => {
  var {
      icon,
      children,
      variant,
      active,
      disabled,
      fullWidth
    } = _ref,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/_jsx(ButtonRoot, _objectSpread(_objectSpread({
    ref: ref,
    disabled: disabled,
    "data-active": active,
    "data-disabled": disabled,
    "data-variant": variant,
    "data-full-width": fullWidth
  }, props), {}, {
    children: /*#__PURE__*/_jsxs(Stack, {
      align: "center",
      space: "xxsmall",
      children: [icon, /*#__PURE__*/_jsx(Typography, {
        variant: "h4",
        color: disabled ? 'inherit' : 'textPrimary',
        children: children
      })]
    })
  }));
});
if (process.env.NODE_ENV !== "production") ButtonArea.displayName = "ButtonArea";