import { ColorDynamic, Column, Columns } from '@superdispatch/ui';
import { forwardRef } from 'react';
import styled from 'styled-components';
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
export var DottedLine = /*#__PURE__*/styled.div.withConfig({
  displayName: "DescriptionLineItem__DottedLine",
  componentId: "SD__sc-1ixx5h8-0"
})(["border-bottom:1px dotted ", ";margin:0px 8px;height:7px;"], ColorDynamic.Silver400);
export var DescriptionLineItem = /*#__PURE__*/forwardRef((_ref, ref) => {
  var {
    title,
    children
  } = _ref;
  return /*#__PURE__*/_jsxs(Columns, {
    ref: ref,
    align: "center",
    children: [/*#__PURE__*/_jsx(Column, {
      width: "content",
      children: title
    }), /*#__PURE__*/_jsx(Column, {
      width: "fluid",
      children: /*#__PURE__*/_jsx(DottedLine, {})
    }), /*#__PURE__*/_jsx(Column, {
      width: "content",
      children: children
    })]
  });
});
if (process.env.NODE_ENV !== "production") DescriptionLineItem.displayName = "DescriptionLineItem";
DescriptionLineItem.displayName = 'DescriptionLineItem';