import _objectSpread from "@babel/runtime/helpers/objectSpread2";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
var _excluded = ["color", "target", "rel"],
  _excluded2 = ["children", "linkComponent"];
import { Link } from '@material-ui/core';
import { forwardRef } from 'react';
import { Anchorme } from 'react-anchorme';
import { jsx as _jsx } from "react/jsx-runtime";
var DefaultLinkComponent = /*#__PURE__*/forwardRef((_ref, ref) => {
  var {
      color,
      target = '_blank',
      rel = 'noreferrer noopener'
    } = _ref,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/_jsx(Link, _objectSpread(_objectSpread({}, props), {}, {
    ref: ref,
    rel: rel,
    target: target
  }));
});
if (process.env.NODE_ENV !== "production") DefaultLinkComponent.displayName = "DefaultLinkComponent";
DefaultLinkComponent.displayName = 'DefaultLinkComponent';
export function LinkedText(_ref2) {
  var {
      children,
      linkComponent = DefaultLinkComponent
    } = _ref2,
    props = _objectWithoutProperties(_ref2, _excluded2);
  if (!children) {
    return null;
  }
  return /*#__PURE__*/_jsx(Anchorme, _objectSpread(_objectSpread({}, props), {}, {
    linkComponent: linkComponent,
    children: children
  }));
}