import _objectSpread from "@babel/runtime/helpers/objectSpread2";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
var _excluded = ["onClick", "children"];
import { IconButton } from '@material-ui/core';
import { ArrowBack } from '@material-ui/icons';
import { useCollapseBreakpoint } from '@superdispatch/ui';
import { useSidebarContext } from "./SidebarContainer.js";
import { jsx as _jsx } from "react/jsx-runtime";
export function SidebarBackButton(_ref) {
  var {
      onClick: _onClick,
      children = /*#__PURE__*/_jsx(ArrowBack, {
        fontSize: "small"
      })
    } = _ref,
    props = _objectWithoutProperties(_ref, _excluded);
  var isCollapsed = useCollapseBreakpoint('sm');
  var {
    openSidebar
  } = useSidebarContext();
  if (!isCollapsed) {
    return null;
  }
  return /*#__PURE__*/_jsx(IconButton, _objectSpread(_objectSpread({}, props), {}, {
    size: "small",
    onClick: event => {
      _onClick === null || _onClick === void 0 ? void 0 : _onClick(event);
      if (!event.isDefaultPrevented()) {
        openSidebar();
      }
    },
    children: children
  }));
}