export function mergeStyles(styles) {
  for (var _len = arguments.length, sources = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
    sources[_key - 1] = arguments[_key];
  }
  for (var source of sources) {
    if (source) {
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          var stylesValue = styles[key];
          var sourceValue = source[key];
          if (typeof stylesValue == 'object' && typeof sourceValue == 'object') {
            mergeStyles(stylesValue, sourceValue);
          } else {
            styles[key] = source[key];
          }
        }
      }
    }
  }
  return styles;
}