import { ColorDynamic } from '@superdispatch/ui';
import { forwardRef } from 'react';
import styled from 'styled-components';
import { jsxs as _jsxs } from "react/jsx-runtime";
var FlagListHeader = /*#__PURE__*/styled.div.withConfig({
  displayName: "FlagList__FlagListHeader",
  componentId: "SD__sc-te7hyy-0"
})(["display:flex;align-items:center;justify-content:space-between;flex-wrap:wrap;gap:16px;padding:12px 16px;background:", ";border:1px solid ", ";border-bottom:none;border-radius:4px 4px 0 0;", "{flex-direction:column;align-items:flex-start;}"], ColorDynamic.Silver200, ColorDynamic.Silver400, _ref => {
  var {
    theme
  } = _ref;
  return theme.breakpoints.down('xs');
});
var FlagListContainer = /*#__PURE__*/styled.div.withConfig({
  displayName: "FlagList__FlagListContainer",
  componentId: "SD__sc-te7hyy-1"
})(["display:flex;flex-direction:column;"]);
export var FlagList = /*#__PURE__*/forwardRef((_ref2, ref) => {
  var {
    isStandalone = false,
    title,
    endAction,
    children
  } = _ref2;
  return /*#__PURE__*/_jsxs(FlagListContainer, {
    "data-variant": isStandalone ? 'standalone' : 'with-header',
    ref: ref,
    children: [(title || endAction) && /*#__PURE__*/_jsxs(FlagListHeader, {
      children: [title, endAction]
    }), children]
  });
});
if (process.env.NODE_ENV !== "production") FlagList.displayName = "FlagList";