import _objectSpread from "@babel/runtime/helpers/objectSpread2";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
var _excluded = ["title", "subtitle", "children"];
import { Avatar, Typography } from '@material-ui/core';
import { Color, Column, Columns, Stack } from '@superdispatch/ui';
import styled from 'styled-components';
import { useNavbarContext } from "./NavbarContext.js";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
var StyledTypography = /*#__PURE__*/styled(Typography).withConfig({
  displayName: "NavbarAvatar__StyledTypography",
  componentId: "SD__sc-19q2zd0-0"
})(["color:", ";text-overflow:ellipsis;white-space:nowrap;overflow:hidden;&:hover{color:", ";}"], Color.White, Color.White);
export function NavbarAvatar(_ref) {
  var {
      title,
      subtitle,
      children
    } = _ref,
    props = _objectWithoutProperties(_ref, _excluded);
  var {
    isNavbarExpanded
  } = useNavbarContext();
  if (!isNavbarExpanded) {
    return /*#__PURE__*/_jsx(Avatar, _objectSpread(_objectSpread({}, props), {}, {
      children: children
    }));
  }
  return /*#__PURE__*/_jsxs(Columns, {
    space: "xsmall",
    align: "center",
    children: [/*#__PURE__*/_jsx(Column, {
      width: "content",
      children: /*#__PURE__*/_jsx(Avatar, _objectSpread(_objectSpread({}, props), {}, {
        children: children
      }))
    }), /*#__PURE__*/_jsx(Column, {
      children: /*#__PURE__*/_jsxs(Stack, {
        space: "none",
        children: [/*#__PURE__*/_jsx(StyledTypography, {
          variant: "caption",
          children: title
        }), /*#__PURE__*/_jsx(StyledTypography, {
          variant: "caption",
          children: subtitle
        })]
      })
    })]
  });
}