import { noop } from 'lodash';
import { createContext, useContext } from 'react';
export var NavbarContext = /*#__PURE__*/createContext({
  isDrawerOpen: false,
  isMenuExpanded: false,
  isNavbarExpanded: false,
  setMenuExpanded: noop,
  setDrawerOpen: noop
});
export function useNavbarContext() {
  return useContext(NavbarContext);
}