import { IconButton, Tooltip } from '@material-ui/core';
import { forwardRef } from 'react';
import styled from 'styled-components';
import { jsx as _jsx } from "react/jsx-runtime";
var SidebarMenuItemActionRoot = /*#__PURE__*/styled(IconButton).withConfig({
  displayName: "SidebarMenuItemAction__SidebarMenuItemActionRoot",
  componentId: "SD__sc-1n50gmv-0"
})(["& .MuiSvgIcon-root{font-size:16px;}"]);
export var SidebarMenuItemAction = /*#__PURE__*/forwardRef((_ref, ref) => {
  var {
    title,
    placement,
    children
  } = _ref;
  return /*#__PURE__*/_jsx(Tooltip, {
    title: title,
    placement: placement,
    children: /*#__PURE__*/_jsx(SidebarMenuItemActionRoot, {
      ref: ref,
      size: "small",
      edge: "end",
      children: children
    })
  });
});
if (process.env.NODE_ENV !== "production") SidebarMenuItemAction.displayName = "SidebarMenuItemAction";