import { createContext, useContext, useMemo } from 'react';
import { jsx as _jsx } from "react/jsx-runtime";
var context = /*#__PURE__*/createContext({});
export function useSidebarMenuItemContext() {
  return useContext(context);
}
export function SidebarMenuItemContextProvider(_ref) {
  var {
    children,
    hovered = false,
    disabled = false
  } = _ref;
  var ctx = useMemo(() => ({
    hovered,
    disabled
  }), [hovered, disabled]);
  return /*#__PURE__*/_jsx(context.Provider, {
    value: ctx,
    children: children
  });
}