import { Column, Columns } from '@superdispatch/ui';
import { forwardRef } from 'react';
import styled from 'styled-components';
import { TextBox } from "../text-box/TextBox.js";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
var SidebarSubheaderRoot = /*#__PURE__*/styled.div.withConfig({
  displayName: "SidebarSubheader__SidebarSubheaderRoot",
  componentId: "SD__sc-1r0xx76-0"
})(["display:flex;align-items:center;height:40px;max-height:40px;padding-left:24px;padding-right:24px;"]);
export var SidebarSubheader = /*#__PURE__*/forwardRef((_ref, ref) => {
  var {
    id,
    action,
    children
  } = _ref;
  return /*#__PURE__*/_jsx(SidebarSubheaderRoot, {
    ref: ref,
    children: /*#__PURE__*/_jsxs(Columns, {
      space: "xsmall",
      align: "center",
      children: [/*#__PURE__*/_jsx(Column, {
        children: /*#__PURE__*/_jsx(TextBox, {
          id: id,
          variant: "heading-6",
          color: "secondary",
          noWrap: true,
          children: children
        })
      }), !!action && /*#__PURE__*/_jsx(Column, {
        width: "content",
        children: action
      })]
    })
  });
});
if (process.env.NODE_ENV !== "production") SidebarSubheader.displayName = "SidebarSubheader";