export function createRuleNormalizer(rules) {
  return input => {
    if (typeof input == 'string') {
      var value = rules[input];
      if (typeof value == 'number') {
        return "".concat(value, "px");
      }
      if (typeof value == 'string') {
        return value;
      }
    }
    return undefined;
  };
}